; tabstop=8
;
;
	ORG	0E000H


	JP	START
;
;
TALKDATADD:
	DW	03E6H

TALKMODE:
	DB	00H

ERRFLAG:
	DB	00H



;
; voice data output
; C <- voice data
;
; RETURN : Cflag=1 ERROR

OUTDT:
	IN	A,(0E0H)
	BIT	4,A
	SCF
	RET	NZ
	BIT	6,A
	JR	Z,OUTDT
	LD	A,C
	OUT	(0E0H),A
	OR	A
	RET


START:
	LD	A,0FFH
	LD	(ERRFLAG),A
	LD	A,(TALKMODE)
	OUT	(0E2H),A	; set mode (speed)
	LD	A,0FEH
	OUT	(0E3H),A	; set external data

	DI
	LD	A,0DDH
	OUT	(0F0H),A	; 0x0000-0x3FFF RAM read

	LD	HL,(TALKDATADD)
	LD	E,(HL)		; get data length
	INC	HL
	LD	D,(HL)		; get data length
	INC	HL
LP1:
	LD	C,(HL)

	CALL	OUTDT
	RET	C
	INC	HL
	DEC	DE
	LD	A,D
	OR	E
	JR	NZ,LP1

	LD	A,011H
	OUT	(0F0H),A	; 0x0000-0x3FFF ROM read
	EI

	XOR	A
	LD	(ERRFLAG),A
	RET

END
